---
title: HTMLMediaElement.canPlayType()
slug: Web/API/HTMLMediaElement/canPlayType
tags:
  - API
  - Audio
  - Capability
  - Compatibility
  - Format
  - HTML DOM
  - HTMLMediaElement
  - MIME Types
  - Media
  - Media Types
  - Method
  - Reference
  - Type
  - Video
  - Web
  - canPlayType
  - support
---
<div>{{APIRef("HTML DOM")}}</div>

<p><span class="seoSummary">The {{domxref("HTMLMediaElement")}} method <code><strong>canPlayType()</strong></code> reports how likely it is that the current browser will be able to play media of a given MIME type.</span></p>

<div class="note"><strong>Note:</strong> This feature is not available in <a href="/en-US/docs/Web/API/Web_Workers_API">Web Workers</a>.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>canPlayResponse</em> = <em>audioOrVideo</em>.canPlayType(<em>mediaType</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>mediaType</code></dt>
 <dd>A {{domxref("DOMString")}} containing the MIME type of the media.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("DOMString")}} indicating how likely it is that the media can be played. The string will be one of the following values:</p>

<dl>
 <dt><code>probably</code></dt>
 <dd>Media of the type indicated by the <code>mediaType</code> parameter is probably playable on this device.</dd>
 <dt><code>maybe</code></dt>
 <dd>Not enough information is available to determine for sure whether or not the media will play until playback is actually attempted.</dd>
 <dt><code>""</code> (empty string)</dt>
 <dd>Media of the given type definitely can't be played on the current device.</dd>
</dl>

<h2 id="Example">Example</h2>

<pre class="brush: js">var obj = document.createElement('video');
console.log(obj.canPlayType('video/mp4')); // "maybe"
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "#dom-navigator-canplaytype", "canplaytype")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('HTML5 W3C', "embedded-content-0.html#htmlmediaelement", "HTMLMediaElement.canplaytype")}}</td>
   <td>{{Spec2('HTML5 W3C')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMediaElement.canPlayType")}}</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li>The interface defining it, {{domxref("HTMLMediaElement")}}.</li>
 <li>{{domxref("MediaCapabilities")}} in the Media Capabilities API</li>
 <li><a href="/en-US/docs/Web/Media/Formats/Support_issues">Handling media support issues in web content</a></li>
 <li><a href="/en-US/docs/Web/Media/Formats">Guide to media types and formats on the web</a></li>
</ul>
